QGIS Application - Bug report #4654
plugin_installer: drop "Only show plugins from the official repository" option
2011-12-16 02:14 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14552
Description

The "Only show plugins from the official repository" option in the "Options" tab of the plugin_installer duplicates functionality already
available as a filter in the "Plugins" tab. This is very confusing as you think you're seeing plugins from "all repositories" (the filter says) but
instead you're restricted to official repository only due to that option checked in a tab you don't see in front of you.

This confusion made me waste a couple of hours trying to debug issue #4621

It'd be nice to see this fixed in 1.7 branch too.

I'm missing Target version 1.7.4 here :)
Maybe easier to add a Target version 1.7 ?

History

#1 - 2011-12-16 02:29 AM - Borys Jurgiel
- Assignee set to Borys Jurgiel

#2 - 2011-12-16 10:55 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#3 - 2012-04-16 06:32 AM - Paolo Cavallini
- Affected QGIS version set to master
- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:55 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2013-06-11 04:36 PM - Borys Jurgiel

- Status changed from Open to Closed
- Resolution set to fixed
